#!/bin/sh
FREEVO_INST_LOG="/log/freevo/inst.log"
stp freevo
cd /usr/local/src/freevo/kaa/
svn up 2>&1  | tee -a $FREEVO_INST_LOG
if [ "$(tail -n 1 $FREEVO_INST_LOG | grep "^Updated")" != "" ] ; then
   python setup.py install --prefix=/usr 
fi   
cd /usr/local/src/freevo/freevo-1.x/
svn up 2>&1  | tee -a $FREEVO_INST_LOG
if [ "$(tail -n 1 $FREEVO_INST_LOG | grep "^Updated")" != "" ] ; then
   cd freevo
   ./autogen.sh nodocs
   python setup.py install --prefix=/usr
   sed -i /usr/lib/python2.4/site-packages/freevo/rc.py -e "s/).start(0.01)/).start(0.1)/" 
fi   
if [ "$(patch -f --dry-run /usr/lib/python2.4/site-packages/freevo/rc.py < /_config/update/patches/freevo.diff | grep FAILED)" = "" ] ; then 
   patch -f /usr/lib/python2.4/site-packages/freevo/rc.py < /_config/update/patches/freevo.diff
fi   
